Bug 1015515 - Check for DM_UDEV_DISABLE_OTHER_RULES_FLAG instead of DM_UDEV_DISABLE_DISK_RULES_FLAG in 65-md-incremental.rules
Check for DM_UDEV_DISABLE_OTHER_RULES_FLAG instead of DM_UDEV_DISABLE_DISK_RU...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mdadm (Show other bugs)
7.0
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Jes Sorensen
XiaoNi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 08:31 EDT by Peter Rajnoha
Modified: 2014-06-18 04:42 EDT (History)
1 user (show)

See Also:
Fixed In Version: mdadm-3.2.6-22.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1015514
Environment:
Last Closed: 2014-06-13 05:42:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Check for DM_UDEV_DISABLE_OTHER_RULES_FLAG (655 bytes, patch)
2013-10-04 08:35 EDT, Peter Rajnoha
no flags Details | Diff

  None (edit)
Description Peter Rajnoha 2013-10-04 08:31:14 EDT
+++ This bug was initially created as a clone of Bug #1015514 +++

There's DM_UDEV_DISABLE_DISK_RULES_FLAG used in /lib/udev/rules.d/65-md-incremental.rules to avoid scanning of inappropriate device-mapper devices. Though this flag should be used only in 13-dm-disk.rules (so this flag is for internal device-mapper's use as these rules belong to device-mapper).

Any external rules should check for DM_UDEV_DISABLE_OTHER_RULES_FLAG for proper coordination with device-mapper devices. Please, see attached patch.
Comment 1 Peter Rajnoha 2013-10-04 08:35:30 EDT
Created attachment 807608 [details]
Check for DM_UDEV_DISABLE_OTHER_RULES_FLAG
Comment 12 Ludek Smid 2014-06-13 05:42:14 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.